Bug 130367

Summary: scrolled right text view and long line deletion -> upper part of the text is not refreshed
Product: [Applications] kate Reporter: Maciej Pilichowski <bluedzins>
Component: generalAssignee: KWrite Developers <kwrite-bugs-null>
Status: RESOLVED FIXED    
Severity: normal    
Priority: NOR    
Version: unspecified   
Target Milestone: ---   
Platform: OpenSUSE   
OS: Linux   
Latest Commit: Version Fixed In:

Description Maciej Pilichowski 2006-07-06 18:08:09 UTC
Version:            (using KDE KDE 3.5.3)
Installed from:    SuSE RPMs

Turn dynamic wrap off!

Type:
test1
test2
now a bit of junk just to make this line so long it goes out of the screen..................
test3

Now, set the text cursor at the long line and press right-arrow so long, that some part of "testX" will be invisible and some -- visible. Use your keyboard shortcut to delete the line (the current one -- the long one).
Now, "test3" is properly scrolled, but test1 and test2 are not -- this part of the screen is not scrolled back.
Comment 1 Dominik Haumann 2006-07-07 16:51:24 UTC
SVN commit 559511 by dhaumann:

fix missing repaints when dynamic word wrap is disabled.

BUG: 130367


 M  +1 -1      kateviewinternal.cpp  


--- branches/KDE/3.5/kdelibs/kate/part/kateviewinternal.cpp #559510:559511
@@ -690,7 +690,7 @@
     // if we lose the ability to scroll horizontally, move view to the far-left
     if (max == 0)
     {
-      m_startX = 0;
+      scrollColumns(0);
     }
 
     // disable scrollbar
Comment 2 Dominik Haumann 2006-07-07 17:14:07 UTC
SVN commit 559524 by dhaumann:

scrollColumn() disables signal blocking again, so move the blocking
to the right place

CCBUG: 130367


 M  +2 -2      kateviewinternal.cpp  


--- branches/KDE/3.5/kdelibs/kate/part/kateviewinternal.cpp #559523:559524
@@ -681,8 +681,6 @@
       lineRanges[z].clear();
     }
 
-    m_columnScroll->blockSignals(true);
-
     int max = maxLen(startLine()) - width();
     if (max < 0)
       max = 0;
@@ -693,6 +691,8 @@
       scrollColumns(0);
     }
 
+    m_columnScroll->blockSignals(true);
+
     // disable scrollbar
     m_columnScroll->setDisabled (max == 0);
 
Comment 3 Dominik Haumann 2006-07-07 17:27:40 UTC
SVN commit 559531 by dhaumann:

fix missing repaints when dynamic word wrap is disabled.

CCBUG: 130367


 M  +3 -3      kateviewinternal.cpp  


--- trunk/KDE/kdelibs/kate/part/kateviewinternal.cpp #559530:559531
@@ -545,8 +545,6 @@
 
   if (!m_view->dynWordWrap())
   {
-    m_columnScroll->blockSignals(true);
-
     int max = maxLen(startLine()) - width();
     if (max < 0)
       max = 0;
@@ -554,9 +552,11 @@
     // if we lose the ability to scroll horizontally, move view to the far-left
     if (max == 0)
     {
-      m_startX = 0;
+      scrollColumns(0);
     }
 
+    m_columnScroll->blockSignals(true);
+
     // disable scrollbar
     m_columnScroll->setDisabled (max == 0);
 
Comment 4 Thomas Braxton 2006-07-08 04:39:48 UTC
SVN commit 559692 by braxton:

Merged revisions 558384-559663 via svnmerge from 
https://braxton@svn.kde.org/home/kde/trunk/KDE/kdelibs

........
  r558385 | mlaurent | 2006-07-05 05:19:35 -0500 (Wed, 05 Jul 2006) | 2 lines
  
  Fix signal/slot
........
  r558386 | dfaure | 2006-07-05 05:20:50 -0500 (Wed, 05 Jul 2006) | 2 lines
  
  Clean up unused overloads
........
  r558390 | dfaure | 2006-07-05 05:34:11 -0500 (Wed, 05 Jul 2006) | 2 lines
  
  Remove useless kapp usage
........
  r558395 | mlaurent | 2006-07-05 05:45:00 -0500 (Wed, 05 Jul 2006) | 2 lines
  
  use kbuttongroup to remove q3support + bug with qradiobutton+q3groupbox
........
  r558397 | dfaure | 2006-07-05 05:48:04 -0500 (Wed, 05 Jul 2006) | 2 lines
  
  Another useless assert
........
  r558398 | dfaure | 2006-07-05 05:48:15 -0500 (Wed, 05 Jul 2006) | 2 lines
  
  SVN_SILENT dox
........
  r558408 | dfaure | 2006-07-05 06:18:09 -0500 (Wed, 05 Jul 2006) | 2 lines
  
  Nice one
........
  r558411 | giessl | 2006-07-05 06:31:10 -0500 (Wed, 05 Jul 2006) | 30 lines
  
  - some comments on the Qt4 Style discussion on kde-devel
  - more/better doxygen comments
  - Eliminated Generic::Bevel, it was never quite sure what a 'bevel' actually
    is, so now either the actual QStyle element is preferred (and mentioned
    prominently in the docs), or a KStyle primitive with more descriptive name
    is used if there is no corresponding QStyle element.
    Also eliminate KStyle primitives when there's a matching QStyle element.
     PushButton bevel         -> PE_PanelButtonCommand
     PushButton default bevel -> PE_FrameDefaultButton
     Splitter bevel           -> CE_Splitter
     Menu::Scroller           -> CE_MenuScroller
     Menu::TearOff            -> CE_MenuTearoff
     CheckBox::Check*         -> PE_IndicatorCheckBox
     RadioButton::Radio*      -> PE_IndicatorRadioButton
     MenuBar bevel            -> CE_MenuBarEmptyArea
     ScrollBar::Groove*       -> CE_ScrollBarAddPage, CE_ScrollBarSubPage
     ScrollBar::Slider*       -> CE_ScrollBarSlider
     ToolButton bevel         -> PE_PanelButtonTool
     DockWidgetTitle bevel    -> DockWidgetTitle::Panel
     ProgressBar bevel        -> CE_ProgressBarGroove
     MenuBarItem bevel        -> MenuBarItem::Panel
  
  I'm going to reduce the complexity of KStyle even more (perhaps merging the
  several enums-in-a-struct to simple enums, think about the API for layout
  metrics...). IMHO KStyle shouldn't hide the underlying QStyle API *too* much,
  just where it makes sense. Downside is, people have to touch some QStyle draw*
  methods, but every serious style will probably do this at some point anyway.
  
  CCMAIL: maksim@kde.org
........
  r558414 | giessl | 2006-07-05 06:34:39 -0500 (Wed, 05 Jul 2006) | 1 line
  
  normal style names...
........
  r558425 | staikos | 2006-07-05 06:51:03 -0500 (Wed, 05 Jul 2006) | 2 lines
  
  enough with the stray semicolons folks
........
  r558436 | dfaure | 2006-07-05 07:20:24 -0500 (Wed, 05 Jul 2006) | 2 lines
  
  Fixes
........
  r558437 | coolo | 2006-07-05 07:20:40 -0500 (Wed, 05 Jul 2006) | 2 lines
  
  this has to exist first
........
  r558443 | mlaurent | 2006-07-05 07:31:18 -0500 (Wed, 05 Jul 2006) | 3 lines
  
  Fix kicondialog. Now we can use button (=> Ok/Cancel button can work)
........
  r558448 | ervin | 2006-07-05 07:37:05 -0500 (Wed, 05 Jul 2006) | 6 lines
  
  Add subjob handling thanks to KCompositeJob.
  KIO::Job is now inheriting from KCompositeJob.
  
  Added a few fixes for progress handling, jobtest passes again.
........
  r558475 | kuemmel | 2006-07-05 08:14:46 -0500 (Wed, 05 Jul 2006) | 20 lines
  
  Get rid of Q3PtrVector container for the inline text boxes.
  
  Q3PtrVector  -> QVector
  ------------------------
  count()         count()==size()
  size()          capacity()
  isEmpty()       isEmpty()
  resize()        reserve()
  at()            at()
  []()            []()
  insert()        replace()
  
  loop with
  remove()        clear()
  
  CCMAIL:mo85@cornell.edu
  CCMAIL:khtml-devel@kde.org
  CCMAIL:kde-core-devel@kde.org
........
  r558478 | coolo | 2006-07-05 08:22:37 -0500 (Wed, 05 Jul 2006) | 2 lines
  
  ok, two sets of button are really suprising
........
  r558482 | ervin | 2006-07-05 08:27:18 -0500 (Wed, 05 Jul 2006) | 2 lines
  
  Oops, better return the subjob list as a const ref.
........
  r558506 | mkretz | 2006-07-05 08:47:51 -0500 (Wed, 05 Jul 2006) | 2 lines
  
  don't install into share/share/applnk (and so far there still are kcmodules that install there at least - to be changed to install into services, though)
........
  r558530 | dfaure | 2006-07-05 09:19:45 -0500 (Wed, 05 Jul 2006) | 2 lines
  
  Use KUrl (fix warning)
........
  r558542 | tokoe | 2006-07-05 09:41:58 -0500 (Wed, 05 Jul 2006) | 2 lines
  
  Add column stretch to avoid a space between the tabs... QTabBar is strange ;)
........
  r558544 | coolo | 2006-07-05 09:47:57 -0500 (Wed, 05 Jul 2006) | 2 lines
  
  look a bit thinner
........
  r558562 | coolo | 2006-07-05 10:18:30 -0500 (Wed, 05 Jul 2006) | 2 lines
  
  overly optimistic
........
  r558569 | tokoe | 2006-07-05 10:28:08 -0500 (Wed, 05 Jul 2006) | 3 lines
  
  Add 'None' enum to allow a dialog with no buttons (like in KFileDialog)
  and fixed the layout bug, which shows all buttons in the upper left corner.
........
  r558570 | mlaurent | 2006-07-05 10:28:58 -0500 (Wed, 05 Jul 2006) | 2 lines
  
  I prefere to see tip :)
........
  r558587 | coolo | 2006-07-05 11:24:07 -0500 (Wed, 05 Jul 2006) | 2 lines
  
  look a bit nicer
........
  r558588 | lunakl | 2006-07-05 11:29:54 -0500 (Wed, 05 Jul 2006) | 4 lines
  
  Support for _NET_WM_WINDOW_OPACITY, it's not really in the spec,
  but everybody uses it anyway, so it should end up there.
........
  r558590 | mlaurent | 2006-07-05 11:31:58 -0500 (Wed, 05 Jul 2006) | 2 lines
  
  Fix qt warning "bad parent"
........
  r558597 | larkang | 2006-07-05 11:46:54 -0500 (Wed, 05 Jul 2006) | 3 lines
  
  Fix example code in apidocs for perlSplit,
  and add some tests for perlSplit (taken from the documentation)
........
  r558599 | larkang | 2006-07-05 11:48:39 -0500 (Wed, 05 Jul 2006) | 2 lines
  
  It's KRandom::random()
........
  r558612 | dfaure | 2006-07-05 12:59:17 -0500 (Wed, 05 Jul 2006) | 2 lines
  
  Fix compilation due to the use of None in kdialog.h
........
  r558637 | mkretz | 2006-07-05 13:33:37 -0500 (Wed, 05 Jul 2006) | 2 lines
  
  add lib/kde4/libexec to the exe resources
........
  r558643 | mkretz | 2006-07-05 13:53:06 -0500 (Wed, 05 Jul 2006) | 4 lines
  
  Prepend exe resources to the path before doing calling popen in the command
  contained in a [$e]=$(...) line. This way it can now also use applications
  installed in libexec
........
  r558652 | bmeyer | 2006-07-05 14:11:08 -0500 (Wed, 05 Jul 2006) | 2 lines
  
  Rename _private.h -> _p.h (i.e. what everyone else does)
........
  r558658 | winterz | 2006-07-05 14:22:34 -0500 (Wed, 05 Jul 2006) | 2 lines
  
  merge the settings from FindKDEPIMLibs.cmake, which I will be removing ASAP.
........
  r558667 | tokoe | 2006-07-05 14:39:38 -0500 (Wed, 05 Jul 2006) | 2 lines
  
  Port it to make use of new KDialog API
........
  r558669 | mkretz | 2006-07-05 15:00:45 -0500 (Wed, 05 Jul 2006) | 2 lines
  
  don't dereference service if it's not valid
........
  r558670 | lunakl | 2006-07-05 15:01:04 -0500 (Wed, 05 Jul 2006) | 4 lines
  
  long -> unsigned long for opacity - the way its data is represented
  is really lame
........
  r558674 | dfaure | 2006-07-05 15:08:33 -0500 (Wed, 05 Jul 2006) | 2 lines
  
  Actually those dialogs are used in process now, not in kio_uiserver anymore.
........
  r558679 | bmeyer | 2006-07-05 15:20:08 -0500 (Wed, 05 Jul 2006) | 2 lines
  
  Move widgets that are staying in kdeui into a widgets directory
........
  r558687 | bmeyer | 2006-07-05 15:41:26 -0500 (Wed, 05 Jul 2006) | 2 lines
  
  Remove files that arn't used anywhere in kde (it wasn't even in the CMakefile)
........
  r558696 | mkretz | 2006-07-05 16:08:29 -0500 (Wed, 05 Jul 2006) | 2 lines
  
  only add a PATH separator if there's something to the left and right
........
  r558697 | dfaure | 2006-07-05 16:09:55 -0500 (Wed, 05 Jul 2006) | 5 lines
  
  Fix KArchiveTest failure spotted by coolo. There were two bugs:
   - behavior change in QIODevice in Qt-4.2, it does its own buffering internally now, so the derived atEnd()
  needs to call QIODevice::atEnd() to make sure we are done with the internal buffer too.
   - the mimetype detection in ktar went wrong when writing a file and that file already existed (with the wrong contents)
........
  r558711 | bmeyer | 2006-07-05 16:43:32 -0500 (Wed, 05 Jul 2006) | 1 line
  
  KActiveLabel -> QLabel
........
  r558729 | bmeyer | 2006-07-05 17:11:51 -0500 (Wed, 05 Jul 2006) | 1 line
  
  convert KActiveLabel -> QLabel
........
  r558733 | woebbe | 2006-07-05 17:16:42 -0500 (Wed, 05 Jul 2006) | 1 line
  
  why was qwidget.h included, I think this is a non gui class?
........
  r558735 | woebbe | 2006-07-05 17:17:24 -0500 (Wed, 05 Jul 2006) | 1 line
  
  delete d in dtor
........
  r558739 | lunakl | 2006-07-05 17:26:14 -0500 (Wed, 05 Jul 2006) | 3 lines
  
  Setting opacity from WM is fine.
........
  r558742 | dfaure | 2006-07-05 17:30:22 -0500 (Wed, 05 Jul 2006) | 2 lines
  
  Fix the detection of desktop files missing due to kdebase not being installed
........
  r558758 | aseigo | 2006-07-05 18:16:42 -0500 (Wed, 05 Jul 2006) | 2 lines
  
  to help out the cool kids
........
  r558760 | aseigo | 2006-07-05 18:19:27 -0500 (Wed, 05 Jul 2006) | 3 lines
  
  i have no idea what this file is for. but it's in svn and it referenes a
  diretory that no longer exists.
........
  r558761 | aseigo | 2006-07-05 18:20:21 -0500 (Wed, 05 Jul 2006) | 3 lines
  
  david said this isn't used and that i can remove it.
  if this is wrong, talk to the man.
........
  r558762 | aseigo | 2006-07-05 18:23:06 -0500 (Wed, 05 Jul 2006) | 4 lines
  
  ksystemtray is now derived from qsystemtrayicon and only provides the
  kde specifics of left click behaviour and the special menu items (quit,
  minimize, etc...)
........
  r558763 | dfaure | 2006-07-05 18:23:11 -0500 (Wed, 05 Jul 2006) | 4 lines
  
  Don't require qApp, kioslaves don't have one.
  Improve error reporting from dbus call.
  Factorize memory management of the singleton into platform-independent ktoolinvocation.cpp
........
  r558764 | aseigo | 2006-07-05 18:27:38 -0500 (Wed, 05 Jul 2006) | 2 lines
  
  move ksystemtray into widgets/
........
  r558767 | dfaure | 2006-07-05 18:45:05 -0500 (Wed, 05 Jul 2006) | 3 lines
  
  Export those methods to DBus. In kded modules, slots must be marked as Q_SCRIPTABLE to be exported,
  since kdedmodule uses ExportSlots [=> only scriptable ones]
........
  r558769 | dfaure | 2006-07-05 18:55:36 -0500 (Wed, 05 Jul 2006) | 2 lines
  
  Fix interface name to match the client code... ...
........
  r558772 | dfaure | 2006-07-05 19:01:58 -0500 (Wed, 05 Jul 2006) | 2 lines
  
  Bugs and bugs and bugs and ... sometimes bugs
........
  r558778 | aseigo | 2006-07-05 19:20:15 -0500 (Wed, 05 Jul 2006) | 3 lines
  
  api review improvements
  make test buildable again
........
  r558781 | giessl | 2006-07-05 20:00:36 -0500 (Wed, 05 Jul 2006) | 15 lines
  
  - collect&polish all the overview knowledge in the detailed class description
    doxygen.
  - Instead of setting and getting layout properties, this information is
    obtained from virtual widgetLayoutProp(). Feels less complex, and instead of
    being "fixed", they could vary depending on the widget text size etc.
  - get rid of the per-widget-struct grouping of enums, use just two enums
    'LayoutProperties' and 'KStylePrimitiveElements' instead. Documentation
    of enum values still needs to be fixed.
  
  Next, I want to eliminate the remaining LayoutProperties/KStylePrimitiveElements
  which directly translate to pixelMetric(), drawPrimitive(), etc. Hope I'm not
  making enemies with all these changes, but since a 'complete' and consistent
  QStyle-KStyle API-wrapper doesn't seem manageable nor wanted, it should be
  pointed to QStyle as much as possible instead.
........
  r558829 | coolo | 2006-07-06 01:41:47 -0500 (Thu, 06 Jul 2006) | 2 lines
  
  no longer possibly needed
........
  r558835 | coolo | 2006-07-06 02:04:07 -0500 (Thu, 06 Jul 2006) | 2 lines
  
  moved some members out of the header
........
  r558871 | kainhofe | 2006-07-06 03:25:20 -0500 (Thu, 06 Jul 2006) | 1 line
  
  URL->Url change in KFileDialog
........
  r558878 | kainhofe | 2006-07-06 03:50:18 -0500 (Thu, 06 Jul 2006) | 1 line
  
  Add comment to manually set the parent window for the job's UI, instead of giving it in the showErrorDialog calls 
........
  r558897 | woebbe | 2006-07-06 04:27:34 -0500 (Thu, 06 Jul 2006) | 1 line
  
  now I know where the memleak and the superflous includes in the base class came from ;)
........
  r558905 | dfaure | 2006-07-06 04:35:35 -0500 (Thu, 06 Jul 2006) | 2 lines
  
  Fix kdeinit socket name in kwrapper.c, to make kwrapper work again
........
  r558910 | mkretz | 2006-07-06 04:41:27 -0500 (Thu, 06 Jul 2006) | 3 lines
  
  Allow to specify a symbol name to KLibrary::factory instead of using the
  libname. This way you can have multiple KLibFactories in one plugin.
........
  r558914 | dfaure | 2006-07-06 04:45:40 -0500 (Thu, 06 Jul 2006) | 2 lines
  
  Avoid warning from qt e.g. when calling kwrapper
........
  r558945 | coolo | 2006-07-06 05:43:58 -0500 (Thu, 06 Jul 2006) | 2 lines
  
  I don't see a way to make that true
........
  r558966 | mkretz | 2006-07-06 06:35:47 -0500 (Thu, 06 Jul 2006) | 2 lines
  
  X-KDE-ModuleType is unused -> remove
........
  r558969 | uwolfer | 2006-07-06 06:37:31 -0500 (Thu, 06 Jul 2006) | 1 line
  
  install the headers
........
  r558981 | uwolfer | 2006-07-06 06:59:15 -0500 (Thu, 06 Jul 2006) | 2 lines
  
  * merge the two files COMPILING and COMPILING-WITH-CMAKE into COMPILING
  * remove outdated content of INSTALL and point to COMPILING
........
  r558986 | uwolfer | 2006-07-06 07:08:04 -0500 (Thu, 06 Jul 2006) | 1 line
  
  outdated and not needed anymore
........
  r558994 | uwolfer | 2006-07-06 07:26:02 -0500 (Thu, 06 Jul 2006) | 1 line
  
  update TODO. remove tasks which are done or not needed anymore.
........
  r558995 | dfaure | 2006-07-06 07:26:21 -0500 (Thu, 06 Jul 2006) | 2 lines
  
  Connect to the right dbus signal
........
  r559002 | dfaure | 2006-07-06 07:48:52 -0500 (Thu, 06 Jul 2006) | 2 lines
  
  More updates
........
  r559016 | ervin | 2006-07-06 08:24:54 -0500 (Thu, 06 Jul 2006) | 3 lines
  
  Avoid warning.
  SVN_SILENT
........
  r559035 | mkretz | 2006-07-06 08:46:54 -0500 (Thu, 06 Jul 2006) | 15 lines
  
  - rename NameDescriptionTuple to ObjectDescription
  - remove all subclasses of NameDescriptionTuple and make it use an enum in
    ObjectDescription instead
  - remove protected ctor for subclassing where it isn't needed
  - move the BaseDestructionHandler subclassing into the private object
  - move all private slots to the private classes and prefix them with _k_
  - more dox for the backend
  - make the KCM a KCModule service
  - rename the DBus method from categoryName to category
  - remove the categoryName from AudioOutput and implement it in the Adaptor
    instead
  - rename the SimplePlayer to AudioPlayer
  - add a load(KUrl) method to AudioPlayer to allow preloading with AudioPlayer as
    well - now for most playback tasks AudioPlayer will be enough
........
  r559036 | mkretz | 2006-07-06 08:47:40 -0500 (Thu, 06 Jul 2006) | 2 lines
  
  SimplePlayer -> AudioPlayer
........
  r559050 | saxton | 2006-07-06 09:03:30 -0500 (Thu, 06 Jul 2006) | 2 lines
  
  Return a pointer to the KPageWidgetItem in KConfigDialog::addPage.
........
  r559051 | mkretz | 2006-07-06 09:04:05 -0500 (Thu, 06 Jul 2006) | 3 lines
  
  add a VideoPlayer - like AudioPlayer but it's a QWidget embedding the
  QVideoWidget
........
  r559064 | ervin | 2006-07-06 09:22:04 -0500 (Thu, 06 Jul 2006) | 4 lines
  
  Die! Klauncher, die!!!
  (Be a bit more persuasive on exit to avoid crashes)
........
  r559087 | ervin | 2006-07-06 10:04:55 -0500 (Thu, 06 Jul 2006) | 2 lines
  
  Re-Add the showErrorDialog(), but marked as deprecated, to make migration easier.
........
  r559088 | ervin | 2006-07-06 10:05:33 -0500 (Thu, 06 Jul 2006) | 2 lines
  
  Oops, forgot to write a proper dtor. My bad.
........
  r559098 | mkretz | 2006-07-06 10:22:05 -0500 (Thu, 06 Jul 2006) | 4 lines
  
  move data of KLibrary into KLibraryPrivate and change m_factory to a QHash of
  QByteArray->KLibFactory* so that KLibrary will actually return different
  factories for different symbols in the same lib.
........
  r559160 | bmeyer | 2006-07-06 12:42:52 -0500 (Thu, 06 Jul 2006) | 9 lines
  
  Convert to use QLabel for displaying links.
  
  While I was there, removed the tip of the iceburg of junk in the about dialog and did some formatting, this could just use a re-write
  
  BTW: got to love this old comment:
  // We add 10 pixels extra to compensate for some KActiveLabel margins.
  // TODO: find out why this is 10.
........
  r559163 | bmeyer | 2006-07-06 12:51:29 -0500 (Thu, 06 Jul 2006) | 1 line
  
  add TextInteractionFlags so mouse clicks work
........
  r559164 | dfaure | 2006-07-06 12:51:48 -0500 (Thu, 06 Jul 2006) | 3 lines
  
  Fix signal/slot connection problems in the test program.
  The real bug I was investigating (ftp/http not working) turns out to be in QIODevice though.
........
  r559165 | bmeyer | 2006-07-06 12:52:03 -0500 (Thu, 06 Jul 2006) | 1 line
  
  remove debug statements
........
  r559183 | mlaurent | 2006-07-06 13:23:04 -0500 (Thu, 06 Jul 2006) | 2 lines
  
  Not necessary to make a warning for a qtabwidget
........
  r559224 | coolo | 2006-07-06 15:27:40 -0500 (Thu, 06 Jul 2006) | 2 lines
  
  very bad porting error
........
  r559236 | neundorf | 2006-07-06 15:49:19 -0500 (Thu, 06 Jul 2006) | 7 lines
  
  -fix gcc version detection on Mac
  
  CCMAIL: rangerrick@gmail.com
  
  Can you please check that this works now for you ?
........
  r559252 | woebbe | 2006-07-06 16:24:29 -0500 (Thu, 06 Jul 2006) | 1 line
  
  -pedantic
........
  r559255 | grossard | 2006-07-06 16:35:34 -0500 (Thu, 06 Jul 2006) | 2 lines
  
  copied from stable branch
........
  r559271 | coolo | 2006-07-06 17:42:21 -0500 (Thu, 06 Jul 2006) | 2 lines
  
  fix quite some porting errors
........
  r559289 | mkretz | 2006-07-06 18:50:46 -0500 (Thu, 06 Jul 2006) | 20 lines
  
  Sorry for the big commit, but this way it doesn't break...
  - remove obsolete Button enums
  - Buttons QFlags
  - KCModule's load() save() and defaults() are slots now
  - deinline some stuff
  - move methods into the private
  - add a new ServiceType KCModuleInit for kcminit
  - remove X-KDE-RootOnly, X-KDE-IsHiddenByDefault properties from KCModule
  - remove the ability to embed KCMs running as root: the GUI should run with
    user privileges and only the writing or calling of programs should run as
    root
  - remove the testModule stuff - Hidden[$e] in .desktop files works at least as
    good
  - remove the const_cast(this) from KCModuleInfo and KCModuleProxy
  - do the kcm_ prefixing right regardless of what is written in the desktop file
  - KCModuleLoader can make use of KLibrary::factory() now for all cases (the
    create_* code can be removed as soon as all modules are ported)
  - in KCModuleLoader, if the service says noDisplay, refuse to load the KCM
  - remove the show KCM out of process fallback (it never failed since KDE 2)
........
  r559324 | cramblitt | 2006-07-06 21:07:46 -0500 (Thu, 06 Jul 2006) | 1 line
  
  API change and refactoring.  Major breakage.  Best to stay out of kdeaccessibility module until I get it all squared away again.
........
  r559361 | coolo | 2006-07-07 01:52:38 -0500 (Fri, 07 Jul 2006) | 2 lines
  
  use the official enum
........
  r559376 | coolo | 2006-07-07 02:46:51 -0500 (Fri, 07 Jul 2006) | 2 lines
  
  fix ktip
........
  r559378 | mlaurent | 2006-07-07 02:52:04 -0500 (Fri, 07 Jul 2006) | 2 lines
  
  Use macro_bool_to_01
........
  r559383 | scripty | 2006-07-07 02:58:42 -0500 (Fri, 07 Jul 2006) | 1 line
  
  SVN_SILENT made messages (.desktop file)
........
  r559391 | mlaurent | 2006-07-07 03:21:21 -0500 (Fri, 07 Jul 2006) | 2 lines
  
  Not necessary to keep debug
........
  r559407 | mkretz | 2006-07-07 04:37:07 -0500 (Fri, 07 Jul 2006) | 2 lines
  
  adjust the tests to the ObjectDescription changes
........
  r559412 | dfaure | 2006-07-07 04:48:32 -0500 (Fri, 07 Jul 2006) | 3 lines
  
  Remove the list of init services from ksycoca, and KService::init() and KService::allInitServices(),
  now that Matthias Kretz has redesigned the kcminit modules to use normal servicetypes.
........
  r559413 | dfaure | 2006-07-07 04:50:05 -0500 (Fri, 07 Jul 2006) | 3 lines
  
  Sockets are sequential. QIODevice behaves all different if we don't tell it that this iodevice is sequential.
  This doesn't fix kio_ftp yet though, it has other issues.
........
  r559417 | mkretz | 2006-07-07 04:55:57 -0500 (Fri, 07 Jul 2006) | 2 lines
  
  adjust the fake backend to the ObjectDescription changes
........
  r559450 | pino | 2006-07-07 06:40:43 -0500 (Fri, 07 Jul 2006) | 2 lines
  
  SVN_SILENT fix my email address
........
  r559508 | pedrosc | 2006-07-07 09:39:32 -0500 (Fri, 07 Jul 2006) | 1 line
  
  Fix access out of bounds
........
  r559531 | dhaumann | 2006-07-07 10:17:23 -0500 (Fri, 07 Jul 2006) | 4 lines
  
  fix missing repaints when dynamic word wrap is disabled.
  
  CCBUG: 130367
........
  r559557 | treat | 2006-07-07 11:15:57 -0500 (Fri, 07 Jul 2006) | 4 lines
  
  * Only construct the view when the classname is explicitly
  KTextEditor::Editor and take care to setWidget() when views
  are created.  Handle this in the destructor.
........
  r559586 | kling | 2006-07-07 12:41:41 -0500 (Fri, 07 Jul 2006) | 2 lines
  
  Forward-port of 559572 and 559515.
........
  r559588 | kling | 2006-07-07 12:43:20 -0500 (Fri, 07 Jul 2006) | 4 lines
  
  Replaced kateInsideString() with QString::contains() since they do the same thing.
  
  CCMAIL: woebbeking@onlinehome.de
........
  r559612 | bmeyer | 2006-07-07 13:55:27 -0500 (Fri, 07 Jul 2006) | 3 lines
  
  Create itemviews subdirectory and move itemview classes into it
........
  r559638 | bmeyer | 2006-07-07 16:11:38 -0500 (Fri, 07 Jul 2006) | 1 line
  
  Convert from KEdit -> QTextEdit
........
  r559657 | pfeifle | 2006-07-07 18:00:27 -0500 (Fri, 07 Jul 2006) | 9 lines
  
  There are 15 currently unsupported cupsd.conf, CUPS version 1.1.x,
  parameters in KDEPrint 3.5.3. There are 18 more not yet supported 
  parameters which were recently introduced into CUPS version 1.2.x 
  in KDEPrint 3.5.3.
  
  This TODO.cups12 file compiles a complete list of items that need 
  to be implemented in order to get into sync again with current CUPS.
........


 _M            . (directory)  
 D             AdditionalInfo.txt  
 M  +1 -1      CMakeLists.txt  
 M  +33 -2     COMPILING  
 D             COMPILING-WITH-CMAKE  
 M  +1 -5      ConfigureChecks.cmake  
 M  +1 -173    INSTALL  
 M  +3 -1      KDE4PORTING.html  
 M  +9 -33     TODO  
 D             cmake/README  
 M  +11 -6     cmake/modules/FindKDE4Internal.cmake  
 M  +6 -1      cmake/modules/FindKdepimLibs.cmake  
 M  +1 -1      interfaces/kspeech/CMakeLists.txt  
 M  +706 -656  interfaces/kspeech/kspeech.h  
 D             interfaces/kspeech/kspeechdef.h  
 M  +138 -159  interfaces/kspeech/org.kde.KSpeech.xml  
 M  +13 -16    kate/part/katedocument.cpp  
 M  +1 -1      kate/part/katefactory.cpp  
 M  +4 -13     kate/part/katehighlight.cpp  
 M  +4 -6      kate/part/kateviewinternal.cpp  
 M  +16 -72    kcmshell/main.cpp  
 M  +2 -3      kcmshell/main.h  
 M  +1 -1      kde3support/kunittest/tester.cpp  
 M  +2 -0      kdecore/CMakeLists.txt  
 M  +0 -18     kdecore/kapplication.cpp  
 M  +4 -4      kdecore/kapplication.h  
 A             kdecore/kcompositejob.cpp   trunk/KDE/kdelibs/kdecore/kcompositejob.cpp#559657
 A             kdecore/kcompositejob.h   trunk/KDE/kdelibs/kdecore/kcompositejob.h#559657
 M  +5 -3      kdecore/kfilterdev.cpp  
 M  +1 -1      kdecore/kgzipfilter.cpp  
 M  +2 -5      kdecore/kjob.cpp  
 M  +2 -2      kdecore/kjobuidelegate.cpp  
 M  +0 -1      kdecore/kjobuidelegate.h  
 M  +59 -44    kdecore/klibloader.cpp  
 M  +4 -7      kdecore/klibloader.h  
 M  +9 -23     kdecore/kservice/kservice.cpp  
 M  +0 -16     kdecore/kservice/kservice.h  
 M  +0 -32     kdecore/kservice/kservicefactory.cpp  
 M  +0 -6      kdecore/kservice/kservicefactory.h  
 M  +58 -46    kdecore/kstandarddirs.cpp  
 M  +0 -12     kdecore/kstandarddirs.h  
 M  +1 -1      kdecore/kstartupinfo.cpp  
 M  +2 -2      kdecore/kstringhandler.h  
 M  +4 -1      kdecore/ksycocadict.cpp  
 M  +28 -0     kdecore/ktoolinvocation.cpp  
 M  +4 -2      kdecore/ktoolinvocation.h  
 M  +0 -27     kdecore/ktoolinvocation_win.cpp  
 M  +4 -35     kdecore/ktoolinvocation_x11.cpp  
 M  +42 -1     kdecore/netwm.cpp  
 M  +10 -0     kdecore/netwm.h  
 M  +4 -1      kdecore/netwm_def.h  
 M  +1 -0      kdecore/netwm_p.h  
 M  +11 -11    kdecore/network/kclientsocketbase.h  
 M  +11 -5     kdecore/network/ksocketbase.h  
 M  +3 -1      kdecore/network/tests/CMakeLists.txt  
 M  +15 -14    kdecore/network/tests/streamsockettest.cpp  
 M  +4 -4      kdecore/network/tests/streamsockettest.h  
 M  +1 -1      kdecore/tests/CMakeLists.txt  
 M  +13 -19    kdecore/tests/kautostarttest.cpp  
 M  +2 -24     kdecore/tests/kservicetest.cpp  
 M  +0 -1      kdecore/tests/kservicetest.h  
 M  +1 -0      kdecore/tests/kstandarddirstest.cpp  
 M  +16 -0     kdecore/tests/kstringhandlertest.cpp  
 M  +1 -0      kdecore/tests/kstringhandlertest.h  
 M  +7 -7      kdecore/tests/startserviceby.cpp  
 M  +0 -1      kded/README.kded  
 M  +0 -28     kded/kbuildservicefactory.cpp  
 M  +1 -2      kded/kbuildservicefactory.h  
 M  +0 -1      kded/test/test.desktop  
 M  +6 -5      kded/vfolder_menu.cpp  
 M  +411 -513  kdefx/kstyle.cpp  
 M  +584 -550  kdefx/kstyle.h  
 A             kdeprint/TODO.cups12   trunk/KDE/kdelibs/kdeprint/TODO.cups12#559657
 M  +8 -6      kdeprint/cups/cupsaddsmb2.cpp  
 M  +1 -2      kdeprint/cups/cupsaddsmb2.h  
 M  +0 -1      kdeprint/kdeprintd.desktop  
 M  +1 -1      kdeprint/kmthreadjob.cpp  
 D             kdeui/AUTHORS  
 M  +40 -68    kdeui/CMakeLists.txt  
 A             kdeui/itemviews (directory)   trunk/KDE/kdelibs/kdeui/itemviews#559657
 A             kdeui/itemviews/CMakeLists.txt   trunk/KDE/kdelibs/kdeui/itemviews/CMakeLists.txt#559657
 A             kdeui/itemviews/k3iconview.cpp   trunk/KDE/kdelibs/kdeui/itemviews/k3iconview.cpp#559657
 A             kdeui/itemviews/k3iconview.h   trunk/KDE/kdelibs/kdeui/itemviews/k3iconview.h#559657
 A             kdeui/itemviews/k3iconviewsearchline.cpp   trunk/KDE/kdelibs/kdeui/itemviews/k3iconviewsearchline.cpp#559657
 A             kdeui/itemviews/k3iconviewsearchline.h   trunk/KDE/kdelibs/kdeui/itemviews/k3iconviewsearchline.h#559657
 A             kdeui/itemviews/k3listview.cpp   trunk/KDE/kdelibs/kdeui/itemviews/k3listview.cpp#559657
 A             kdeui/itemviews/k3listview.h   trunk/KDE/kdelibs/kdeui/itemviews/k3listview.h#559657
 A             kdeui/itemviews/k3listviewlineedit.h   trunk/KDE/kdelibs/kdeui/itemviews/k3listviewlineedit.h#559657
 A             kdeui/itemviews/k3listviewsearchline.cpp   trunk/KDE/kdelibs/kdeui/itemviews/k3listviewsearchline.cpp#559657
 A             kdeui/itemviews/k3listviewsearchline.h   trunk/KDE/kdelibs/kdeui/itemviews/k3listviewsearchline.h#559657
 A             kdeui/itemviews/klistbox.cpp   trunk/KDE/kdelibs/kdeui/itemviews/klistbox.cpp#559657
 A             kdeui/itemviews/klistbox.h   trunk/KDE/kdelibs/kdeui/itemviews/klistbox.h#559657
 A             kdeui/itemviews/ktreewidgetsearchline.cpp   trunk/KDE/kdelibs/kdeui/itemviews/ktreewidgetsearchline.cpp#559657
 A             kdeui/itemviews/ktreewidgetsearchline.h   trunk/KDE/kdelibs/kdeui/itemviews/ktreewidgetsearchline.h#559657
 D             kdeui/k3iconview.cpp  
 D             kdeui/k3iconview.h  
 D             kdeui/k3iconviewsearchline.cpp  
 D             kdeui/k3iconviewsearchline.h  
 D             kdeui/k3listview.cpp  
 D             kdeui/k3listview.h  
 D             kdeui/k3listviewlineedit.h  
 D             kdeui/k3listviewsearchline.cpp  
 D             kdeui/k3listviewsearchline.h  
 M  +11 -11    kdeui/kaboutapplication.cpp  
 M  +402 -627  kdeui/kaboutdialog.cpp  
 M  +3 -80     kdeui/kaboutdialog.h  
 A             kdeui/kaboutdialog_p.h   trunk/KDE/kdelibs/kdeui/kaboutdialog_p.h#559657
 D             kdeui/kaboutdialog_private.h  
 D             kdeui/kbuttonbox.cpp  
 D             kdeui/kbuttonbox.h  
 D             kdeui/kbuttongroup.cpp  
 D             kdeui/kbuttongroup.h  
 D             kdeui/kcharselect.cpp  
 D             kdeui/kcharselect.h  
 D             kdeui/kcharselect_p.h  
 M  +39 -39    kdeui/kcmodule.cpp  
 M  +106 -98   kdeui/kcmodule.h  
 D             kdeui/kcolorbutton.cpp  
 D             kdeui/kcolorbutton.h  
 D             kdeui/kcolorcombo.cpp  
 D             kdeui/kcolorcombo.h  
 D             kdeui/kcombobox.cpp  
 D             kdeui/kcombobox.h  
 M  +2 -2      kdeui/kcompletion.cpp  
 A             kdeui/kcompletion_p.h   trunk/KDE/kdelibs/kdeui/kcompletion_p.h#559657
 D             kdeui/kcompletion_private.h  
 D             kdeui/kcompletionbox.cpp  
 D             kdeui/kcompletionbox.h  
 M  +10 -6     kdeui/kconfigdialog.cpp  
 M  +5 -3      kdeui/kconfigdialog.h  
 M  +1 -1      kdeui/kconfigdialogmanager.cpp  
 M  +2 -3      kdeui/kcursor.cpp  
 M  +3 -3      kdeui/kcursor.h  
 A             kdeui/kcursor_p.h   trunk/KDE/kdelibs/kdeui/kcursor_p.h#559657
 D             kdeui/kcursor_private.h  
 D             kdeui/kdatepicker.cpp  
 D             kdeui/kdatepicker.h  
 D             kdeui/kdatetimewidget.cpp  
 D             kdeui/kdatetimewidget.h  
 D             kdeui/kdatewidget.cpp  
 D             kdeui/kdatewidget.h  
 M  +6 -2      kdeui/kdialog.cpp  
 M  +2 -1      kdeui/kdialog.h  
 D             kdeui/keditlistbox.cpp  
 D             kdeui/keditlistbox.h  
 D             kdeui/kfontrequester.cpp  
 D             kdeui/kfontrequester.h  
 D             kdeui/khbox.cpp  
 D             kdeui/khbox.h  
 D             kdeui/kkeybutton.cpp  
 D             kdeui/kkeybutton.h  
 D             kdeui/kled.cpp  
 D             kdeui/kled.h  
 D             kdeui/klineedit.cpp  
 D             kdeui/klineedit.h  
 D             kdeui/klistbox.cpp  
 D             kdeui/klistbox.h  
 D             kdeui/kmenu.cpp  
 D             kdeui/kmenu.h  
 M  +9 -7      kdeui/kmessagebox.cpp  
 D             kdeui/knuminput.cpp  
 D             kdeui/knuminput.h  
 M  +3 -2      kdeui/kpageview_p.cpp  
 D             kdeui/kprogressbar.cpp  
 D             kdeui/kprogressbar.h  
 D             kdeui/kpushbutton.cpp  
 D             kdeui/kpushbutton.h  
 D             kdeui/ksqueezedtextlabel.cpp  
 D             kdeui/ksqueezedtextlabel.h  
 D             kdeui/ksyntaxhighlighter.cpp  
 D             kdeui/ksyntaxhighlighter.h  
 D             kdeui/ksystemtray.cpp  
 D             kdeui/ksystemtray.h  
 D             kdeui/ktabbar.cpp  
 D             kdeui/ktabbar.h  
 D             kdeui/ktabwidget.cpp  
 D             kdeui/ktabwidget.h  
 D             kdeui/ktextedit.cpp  
 D             kdeui/ktextedit.h  
 D             kdeui/ktimezonewidget.cpp  
 D             kdeui/ktimezonewidget.h  
 M  +17 -8     kdeui/ktip.cpp  
 D             kdeui/ktreewidgetsearchline.cpp  
 D             kdeui/ktreewidgetsearchline.h  
 D             kdeui/kvbox.cpp  
 D             kdeui/kvbox.h  
 M  +1 -2      kdeui/tests/ksystemtraytest.cpp  
 A             kdeui/widgets (directory)   trunk/KDE/kdelibs/kdeui/widgets#559657
 A             kdeui/widgets/CMakeLists.txt   trunk/KDE/kdelibs/kdeui/widgets/CMakeLists.txt#559657
 A             kdeui/widgets/TODO   trunk/KDE/kdelibs/kdeui/widgets/TODO#559657
 A             kdeui/widgets/kbuttonbox.cpp   trunk/KDE/kdelibs/kdeui/widgets/kbuttonbox.cpp#559657
 A             kdeui/widgets/kbuttonbox.h   trunk/KDE/kdelibs/kdeui/widgets/kbuttonbox.h#559657
 A             kdeui/widgets/kbuttongroup.cpp   trunk/KDE/kdelibs/kdeui/widgets/kbuttongroup.cpp#559657
 A             kdeui/widgets/kbuttongroup.h   trunk/KDE/kdelibs/kdeui/widgets/kbuttongroup.h#559657
 A             kdeui/widgets/kcharselect.cpp   trunk/KDE/kdelibs/kdeui/widgets/kcharselect.cpp#559657
 A             kdeui/widgets/kcharselect.h   trunk/KDE/kdelibs/kdeui/widgets/kcharselect.h#559657
 A             kdeui/widgets/kcharselect_p.h   trunk/KDE/kdelibs/kdeui/widgets/kcharselect_p.h#559657
 A             kdeui/widgets/kcolorbutton.cpp   trunk/KDE/kdelibs/kdeui/widgets/kcolorbutton.cpp#559657
 A             kdeui/widgets/kcolorbutton.h   trunk/KDE/kdelibs/kdeui/widgets/kcolorbutton.h#559657
 A             kdeui/widgets/kcolorcombo.cpp   trunk/KDE/kdelibs/kdeui/widgets/kcolorcombo.cpp#559657
 A             kdeui/widgets/kcolorcombo.h   trunk/KDE/kdelibs/kdeui/widgets/kcolorcombo.h#559657
 A             kdeui/widgets/kcombobox.cpp   trunk/KDE/kdelibs/kdeui/widgets/kcombobox.cpp#559657
 A             kdeui/widgets/kcombobox.h   trunk/KDE/kdelibs/kdeui/widgets/kcombobox.h#559657
 A             kdeui/widgets/kcompletionbox.cpp   trunk/KDE/kdelibs/kdeui/widgets/kcompletionbox.cpp#559657
 A             kdeui/widgets/kcompletionbox.h   trunk/KDE/kdelibs/kdeui/widgets/kcompletionbox.h#559657
 A             kdeui/widgets/kdatepicker.cpp   trunk/KDE/kdelibs/kdeui/widgets/kdatepicker.cpp#559657
 A             kdeui/widgets/kdatepicker.h   trunk/KDE/kdelibs/kdeui/widgets/kdatepicker.h#559657
 A             kdeui/widgets/kdatetimewidget.cpp   trunk/KDE/kdelibs/kdeui/widgets/kdatetimewidget.cpp#559657
 A             kdeui/widgets/kdatetimewidget.h   trunk/KDE/kdelibs/kdeui/widgets/kdatetimewidget.h#559657
 A             kdeui/widgets/kdatewidget.cpp   trunk/KDE/kdelibs/kdeui/widgets/kdatewidget.cpp#559657
 A             kdeui/widgets/kdatewidget.h   trunk/KDE/kdelibs/kdeui/widgets/kdatewidget.h#559657
 A             kdeui/widgets/keditlistbox.cpp   trunk/KDE/kdelibs/kdeui/widgets/keditlistbox.cpp#559657
 A             kdeui/widgets/keditlistbox.h   trunk/KDE/kdelibs/kdeui/widgets/keditlistbox.h#559657
 A             kdeui/widgets/kfontrequester.cpp   trunk/KDE/kdelibs/kdeui/widgets/kfontrequester.cpp#559657
 A             kdeui/widgets/kfontrequester.h   trunk/KDE/kdelibs/kdeui/widgets/kfontrequester.h#559657
 A             kdeui/widgets/khbox.cpp   trunk/KDE/kdelibs/kdeui/widgets/khbox.cpp#559657
 A             kdeui/widgets/khbox.h   trunk/KDE/kdelibs/kdeui/widgets/khbox.h#559657
 A             kdeui/widgets/kkeybutton.cpp   trunk/KDE/kdelibs/kdeui/widgets/kkeybutton.cpp#559657
 A             kdeui/widgets/kkeybutton.h   trunk/KDE/kdelibs/kdeui/widgets/kkeybutton.h#559657
 A             kdeui/widgets/kled.cpp   trunk/KDE/kdelibs/kdeui/widgets/kled.cpp#559657
 A             kdeui/widgets/kled.h   trunk/KDE/kdelibs/kdeui/widgets/kled.h#559657
 A             kdeui/widgets/klineedit.cpp   trunk/KDE/kdelibs/kdeui/widgets/klineedit.cpp#559657
 A             kdeui/widgets/klineedit.h   trunk/KDE/kdelibs/kdeui/widgets/klineedit.h#559657
 A             kdeui/widgets/kmenu.cpp   trunk/KDE/kdelibs/kdeui/widgets/kmenu.cpp#559657
 A             kdeui/widgets/kmenu.h   trunk/KDE/kdelibs/kdeui/widgets/kmenu.h#559657
 A             kdeui/widgets/knuminput.cpp   trunk/KDE/kdelibs/kdeui/widgets/knuminput.cpp#559657
 A             kdeui/widgets/knuminput.h   trunk/KDE/kdelibs/kdeui/widgets/knuminput.h#559657
 A             kdeui/widgets/kprogressbar.cpp   trunk/KDE/kdelibs/kdeui/widgets/kprogressbar.cpp#559657
 A             kdeui/widgets/kprogressbar.h   trunk/KDE/kdelibs/kdeui/widgets/kprogressbar.h#559657
 A             kdeui/widgets/kpushbutton.cpp   trunk/KDE/kdelibs/kdeui/widgets/kpushbutton.cpp#559657
 A             kdeui/widgets/kpushbutton.h   trunk/KDE/kdelibs/kdeui/widgets/kpushbutton.h#559657
 A             kdeui/widgets/ksqueezedtextlabel.cpp   trunk/KDE/kdelibs/kdeui/widgets/ksqueezedtextlabel.cpp#559657
 A             kdeui/widgets/ksqueezedtextlabel.h   trunk/KDE/kdelibs/kdeui/widgets/ksqueezedtextlabel.h#559657
 A             kdeui/widgets/ksystemtray.cpp   trunk/KDE/kdelibs/kdeui/widgets/ksystemtray.cpp#559657
 A             kdeui/widgets/ksystemtray.h   trunk/KDE/kdelibs/kdeui/widgets/ksystemtray.h#559657
 A             kdeui/widgets/ktabbar.cpp   trunk/KDE/kdelibs/kdeui/widgets/ktabbar.cpp#559657
 A             kdeui/widgets/ktabbar.h   trunk/KDE/kdelibs/kdeui/widgets/ktabbar.h#559657
 A             kdeui/widgets/ktabwidget.cpp   trunk/KDE/kdelibs/kdeui/widgets/ktabwidget.cpp#559657
 A             kdeui/widgets/ktabwidget.h   trunk/KDE/kdelibs/kdeui/widgets/ktabwidget.h#559657
 A             kdeui/widgets/ktextedit.cpp   trunk/KDE/kdelibs/kdeui/widgets/ktextedit.cpp#559657
 A             kdeui/widgets/ktextedit.h   trunk/KDE/kdelibs/kdeui/widgets/ktextedit.h#559657
 A             kdeui/widgets/ktimezonewidget.cpp   trunk/KDE/kdelibs/kdeui/widgets/ktimezonewidget.cpp#559657
 A             kdeui/widgets/ktimezonewidget.h   trunk/KDE/kdelibs/kdeui/widgets/ktimezonewidget.h#559657
 A             kdeui/widgets/kvbox.cpp   trunk/KDE/kdelibs/kdeui/widgets/kvbox.cpp#559657
 A             kdeui/widgets/kvbox.h   trunk/KDE/kdelibs/kdeui/widgets/kvbox.h#559657
 M  +5 -0      kdoctools/customization/fr/user.entities  
 M  +5 -5      khtml/khtml_part.cpp  
 M  +20 -32    khtml/rendering/render_text.cpp  
 M  +13 -16    khtml/rendering/render_text.h  
 M  +1 -1      khtml/test_regression_gui_window.cpp  
 M  +2 -1      kinit/kinit.cpp  
 M  +2 -2      kinit/klauncher.cpp  
 M  +0 -16     kinit/klauncher.h  
 M  +0 -40     kinit/klauncher_adaptor.cpp  
 M  +0 -33     kinit/org.kde.KLauncher.xml  
 M  +2 -2      kinit/wrapper.c  
 M  +1 -1      kio/CMakeLists.txt  
 M  +1 -1      kio/DESIGN  
 M  +2 -13     kio/kcmodule.desktop  
 A             kio/kcmoduleinit.desktop   trunk/KDE/kdelibs/kio/kcmoduleinit.desktop#559657
 M  +5 -1      kio/kfile/kfiledialog.cpp  
 M  +5 -2      kio/kfile/kfileiconview.cpp  
 M  +6 -5      kio/kfile/kfilemetainfowidget.cpp  
 M  +47 -66    kio/kfile/kicondialog.cpp  
 M  +4 -10     kio/kfile/kicondialog.h  
 M  +4 -4      kio/kfile/kpreviewprops.cpp  
 M  +1 -1      kio/kfile/kpreviewprops.h  
 M  +2 -2      kio/kfile/tests/kfdtest.cpp  
 M  +3 -2      kio/kfile/tests/kfdtest.h  
 M  +3 -3      kio/kfile/tests/kfstest.cpp  
 M  +23 -41    kio/kio/job.cpp  
 M  +15 -33    kio/kio/jobclasses.h  
 M  +5 -0      kio/kio/jobuidelegate.cpp  
 M  +0 -4      kio/kio/jobuidelegate.h  
 M  +3 -2      kio/kio/karchive.cpp  
 M  +1 -1      kio/kio/kdbusservicestarter.h  
 M  +1 -1      kio/kio/kfilemetainfo.cpp  
 M  +27 -27    kio/kio/ktar.cpp  
 M  +1 -1      kio/kio/metainfojob.cpp  
 M  +1 -1      kio/kio/netaccess.cpp  
 M  +1 -1      kio/kio/previewjob.cpp  
 M  +0 -12     kio/kio/renamedlg.cpp  
 M  +13 -63    kio/kio/skipdlg.cpp  
 M  +0 -4      kio/kio/skipdlg.h  
 M  +1 -1      kio/kio/slavebase.cpp  
 M  +0 -1      kio/kpasswdserver.desktop  
 M  +2 -2      kio/kpasswdserver/kpasswdserver.h  
 M  +0 -1      kio/misc/kpac/proxyscout.desktop  
 M  +0 -1      kio/misc/kssld/kssld.desktop  
 M  +1 -1      kio/misc/kwalletd/ktimeout.cpp  
 M  +3 -3      kio/misc/kwalletd/kwalletd.cpp  
 M  +0 -1      kio/misc/kwalletd/kwalletd.desktop  
 M  +1 -1      kio/misc/kwalletd/kwalletd.h  
 M  +2 -2      kio/misc/kwalletd/kwalletdadaptor.h  
 M  +9 -20     kio/misc/uiserver.cpp  
 M  +2 -2      kio/misc/uiserver.h  
 M  +2 -0      kio/tests/jobtest.cpp  
 M  +28 -1     kio/tests/karchivetest.cpp  
 M  +1 -0      kio/tests/karchivetest.h  
 M  +0 -1      kioslave/http/kcookiejar/kcookiejar.desktop  
 M  +1 -1      kjsembed/kjsembed/jseventmapper.cpp  
 M  +275 -235  kstyles/keramik/keramik.cpp  
 M  +433 -392  kstyles/plastik/plastik.cpp  
 M  +16 -10    kstyles/plastik/plastik.h  
 M  +1 -2      kutils/CMakeLists.txt  
 M  +14 -83    kutils/kcmodulecontainer.cpp  
 M  +0 -19     kutils/kcmodulecontainer.h  
 M  +87 -127   kutils/kcmoduleinfo.cpp  
 M  +11 -135   kutils/kcmoduleinfo.h  
 M  +38 -112   kutils/kcmoduleloader.cpp  
 M  +6 -49     kutils/kcmoduleloader.h  
 M  +89 -334   kutils/kcmoduleproxy.cpp  
 M  +16 -66    kutils/kcmoduleproxy.h  
 D             kutils/kcmoduleproxyIface.cpp  
 D             kutils/kcmoduleproxyIface.h  
 D             kutils/kcmoduleproxyIfaceImpl.cpp  
 D             kutils/kcmoduleproxyIfaceImpl.h  
 D             kutils/kcmoduleproxyIface_p.h  
 M  +23 -68    kutils/kcmultidialog.cpp  
 M  +6 -15     kutils/kcmultidialog.h  
 M  +1 -2      kutils/kpluginselector.cpp  
 M  +1 -2      kutils/ksettings/README.dox  
 M  +0 -1      kutils/ksettings/pluginpage.h  
 A             kutils/ksettingswidgetadaptor.cpp   trunk/KDE/kdelibs/kutils/ksettingswidgetadaptor.cpp#559657
 A             kutils/ksettingswidgetadaptor.h   trunk/KDE/kdelibs/kutils/ksettingswidgetadaptor.h#559657
 D             m4 (directory)  
 M  +6 -26     phonon/CMakeLists.txt  
 M  +17 -7     phonon/Mainpage.dox  
 M  +26 -29    phonon/abstractmediaproducer.cpp  
 M  +5 -11     phonon/abstractmediaproducer.h  
 M  +7 -1      phonon/abstractmediaproducer_p.h  
 D             phonon/audiocapturedevice.cpp  
 D             phonon/audiocapturedevice.h  
 D             phonon/audiocapturedevice_p.h  
 D             phonon/audiocodec.cpp  
 D             phonon/audiocodec.h  
 D             phonon/audiocodec_p.h  
 M  +4 -5      phonon/audioeffect.cpp  
 M  +4 -5      phonon/audioeffect.h  
 D             phonon/audioeffectdescription.cpp  
 D             phonon/audioeffectdescription.h  
 D             phonon/audioeffectdescription_p.h  
 M  +4 -15     phonon/audiooutput.cpp  
 M  +5 -16     phonon/audiooutput.h  
 D             phonon/audiooutputdevice.cpp  
 D             phonon/audiooutputdevice.h  
 D             phonon/audiooutputdevice_p.h  
 M  +13 -14    phonon/audiopath.cpp  
 M  +1 -7      phonon/audiopath.h  
 M  +4 -1      phonon/audiopath_p.h  
 A             phonon/audioplayer.cpp   trunk/KDE/kdelibs/phonon/audioplayer.cpp#559657
 A             phonon/audioplayer.h   trunk/KDE/kdelibs/phonon/audioplayer.h#559657
 M  +7 -8      phonon/avcapture.cpp  
 M  +17 -22    phonon/avcapture.h  
 M  +0 -8      phonon/avwriter.cpp  
 M  +0 -6      phonon/avwriter.h  
 M  +18 -53    phonon/backendcapabilities.cpp  
 M  +12 -21    phonon/backendcapabilities.h  
 A             phonon/bytestream.dox   trunk/KDE/kdelibs/phonon/bytestream.dox#559657
 D             phonon/containerformat.cpp  
 D             phonon/containerformat.h  
 D             phonon/containerformat_p.h  
 M  +2 -0      phonon/factory.cpp  
 M  +1 -1      phonon/kcm/CMakeLists.txt  
 M  +9 -6      phonon/kcm/backendselection.cpp  
 M  +4 -5      phonon/kcm/kcm_phonon.desktop  
 M  +3 -5      phonon/kcm/outputdevicechoice.cpp  
 M  +2 -2      phonon/kcm/outputdevicechoice.h  
 M  +33 -13    phonon/mediaobject.dox  
 D             phonon/namedescriptiontuple.cpp  
 D             phonon/namedescriptiontuple.h  
 D             phonon/namedescriptiontuple_p.h  
 D             phonon/namedescriptiontuplemodel.cpp  
 D             phonon/namedescriptiontuplemodel.h  
 D             phonon/namedescriptiontuplemodel_p.h  
 A             phonon/objectdescription.cpp   trunk/KDE/kdelibs/phonon/objectdescription.cpp#559657
 A             phonon/objectdescription.h   trunk/KDE/kdelibs/phonon/objectdescription.h#559657
 A             phonon/objectdescription_p.h   trunk/KDE/kdelibs/phonon/objectdescription_p.h#559657
 A             phonon/objectdescriptionmodel.cpp   trunk/KDE/kdelibs/phonon/objectdescriptionmodel.cpp#559657
 A             phonon/objectdescriptionmodel.h   trunk/KDE/kdelibs/phonon/objectdescriptionmodel.h#559657
 A             phonon/objectdescriptionmodel_p.h   trunk/KDE/kdelibs/phonon/objectdescriptionmodel_p.h#559657
 M  +0 -17     phonon/phonondefs.h  
 D             phonon/simpleplayer.cpp  
 D             phonon/simpleplayer.h  
 M  +4 -4      phonon/tests/audiocapturedevicetest.cpp  
 M  +4 -4      phonon/tests/audiooutputdevicetest.cpp  
 M  +16 -25    phonon/tests/backendcapabilitiestest.cpp  
 M  +139 -238  phonon/tests/fakebackend/backend.cpp  
 M  +4 -41     phonon/tests/fakebackend/backend.h  
 D             phonon/tests/methods/audiocapturedevice.cpp  
 D             phonon/tests/methods/audiocodec.cpp  
 D             phonon/tests/methods/audioeffectdescription.cpp  
 D             phonon/tests/methods/audiooutputdevice.cpp  
 M  +1 -10     phonon/tests/methods/backendcapabilities.cpp  
 D             phonon/tests/methods/containerformat.cpp  
 D             phonon/tests/methods/namedescriptiontuple.cpp  
 D             phonon/tests/methods/namedescriptiontuplemodel.cpp  
 A             phonon/tests/methods/objectdescription.cpp   trunk/KDE/kdelibs/phonon/tests/methods/objectdescription.cpp#559657
 D             phonon/tests/methods/simpleplayer.cpp  
 D             phonon/tests/methods/videocapturedevice.cpp  
 D             phonon/tests/methods/videocodec.cpp  
 D             phonon/tests/methods/videoeffectdescription.cpp  
 D             phonon/tests/methods/videooutputdevice.cpp  
 D             phonon/tests/methods/visualizationeffect.cpp  
 M  +1 -10     phonon/tests/methodtest.cpp  
 M  +4 -4      phonon/tests/videocapturedevicetest.cpp  
 M  +2 -0      phonon/ui/CMakeLists.txt  
 A             phonon/ui/videoplayer.cpp   trunk/KDE/kdelibs/phonon/ui/videoplayer.cpp#559657
 A             phonon/ui/videoplayer.h   trunk/KDE/kdelibs/phonon/ui/videoplayer.h#559657
 D             phonon/videocapturedevice.cpp  
 D             phonon/videocapturedevice.h  
 D             phonon/videocapturedevice_p.h  
 D             phonon/videocodec.cpp  
 D             phonon/videocodec.h  
 D             phonon/videocodec_p.h  
 M  +0 -6      phonon/videodataoutput.cpp  
 M  +4 -5      phonon/videoeffect.cpp  
 M  +4 -4      phonon/videoeffect.h  
 D             phonon/videoeffectdescription.cpp  
 D             phonon/videoeffectdescription.h  
 D             phonon/videoeffectdescription_p.h  
 D             phonon/videooutputdevice.cpp  
 D             phonon/videooutputdevice.h  
 D             phonon/videooutputdevice_p.h  
 M  +13 -14    phonon/videopath.cpp  
 M  +1 -7      phonon/videopath.h  
 M  +4 -1      phonon/videopath_p.h  
 M  +19 -12    phonon/visualization.cpp  
 M  +6 -17     phonon/visualization.h  
 M  +4 -1      phonon/visualization_p.h  
 D             phonon/visualizationeffect.cpp  
 D             phonon/visualizationeffect.h  
 D             phonon/visualizationeffect_p.h  
 M  +1 -1      sonnet/ui/highlighter.cpp